if(ThingsToDo2 == nil) then
	ThingsToDo2 = {}
end
local ttd2 = ThingsToDo2

if(ttd2.option == nil) then
	ttd2.option = {}
end
local option = ttd2.option

if(ttd2.lib == nil) then
	ttd2.lib = {}
end
local lib = ttd2.lib

lib.chat = {}
local this = lib.chat

function this.red(message)
    return "|cFFFF0000"..tostring(message).."|r"
end

function this.green(message)
    return "|cFF00FF00"..tostring(message).."|r"
end

function this.blue(message)
    return "|cFF0000FF"..tostring(message).."|r"
end

function this.yellow(message)
    return "|cFFFFFF00"..tostring(message).."|r"
end

function this.gray(message)
    return "|cFF9D9D9D"..tostring(message).."|r"
end

function this.purple(message)
    return "|cFFA335EE"..tostring(message).."|r"
end

function this.addonTitle()
	return (this.red("Things")..this.yellow("To")..this.green("Do")..this.purple(2))
end

this.symbols =
{
	todo = this.yellow("O"),
	done = this.red("X"),
	collected = this.green("X"),
	completed = this.green("X")
}

function this.debug(text)
	--if(ttd.options.show.debug == true) then
		print(this.green("DEBUG: ")..this.yellow(text))
	--end
	return
end

function this.warning(text)
	--if(ttd.options.show.warning == true) then
		print(this.yellow("WARNING: ")..tostring(text))
	--end
	return
end

function this.error(text)
	--if(ttd.options.show.error == true) then
		print(this.red("ERROR: ")..this.yellow(text))
	--end
	return
end

function this.booleanText(bool, text)
	if(bool == true) then
		return this.green(text)
	else
		return this.red(text)
	end
end

function this.boolean(bool)
	return this.booleanText(bool,bool)
end

this.output = {}
local out = this.output

out.buffer = {} --common output buffer used by all modules

function out.ClearBuffer()
	lib.table.clear(out.buffer)
	return
end

function out.GetNumLines()
	return #out.buffer
end

function out.StoreCompleted(Line)
	if(option.PrintCompleted) then
		out.buffer[#out.buffer+1] = this.symbols.completed.." "..Line
	end
	
	return
end

function out.StoreDone(Line)
	if(option.PrintDone) then
		out.buffer[#out.buffer+1] = this.symbols.done.." "..Line
	end
	
	return
end

function out.StoreTodo(Line)
	out.buffer[#out.buffer+1] = this.symbols.todo.." "..Line
	
	return
end

function out.Print()
	for _,line in pairs(out.buffer) do
		print(line)
	end
	
	return
end

function out.PrintModule(ModuleName)
	print(lib.chat.addonTitle()..": "..ModuleName)
	if(lib.table.isEmpty(out.buffer)) then
		print("Nothing to do!")
	else
		out.Print()
	end
	
	return
end