if(ThingsToDo2 == nil) then
	ThingsToDo2 = {}
end
local ttd2 = ThingsToDo2

if(ttd2.option == nil) then
	ttd2.option = {}
end
local option = ttd2.option

if(ttd2.lib == nil) then
	ttd2.lib = {}
end
local lib = ttd2.lib

--this module
lib.map = {}
local this = lib.map

this.private = { set = false }
function this.private.Validate()
	if(this.private.set == false) then
		this.private.Init()
	end
	return
end

function this.private.Init()
	if(this.private.set) then
		return
	end	
	this.private.set = true
end

function this.GetNameByID(ID)
	this.private.Validate()
	
	local MapInfo = C_Map.GetMapInfo(ID)
		
	return MapInfo.name
end

function this.GetCurrentMapID()
	this.private.Validate()
	
	local MapID = C_Map.GetBestMapForUnit("player")
	return MapID
end

function this.IsSameContinent(MapA, MapB)
	this.private.Validate()
	
	if(MapB == nil) then
		MapB = this.GetCurrentMapID()
	end
	
	--most obvious case
	if(MapA == MapB) then
		return true
	end
	
	--all "continents" are mapType = 2
	--so to find out if two maps are on the same continent we simply have to go up their parents until
	--Type 2 and compare those
	
	local MapInfo = C_Map.GetMapInfo(MapA)
	if(MapInfo.mapType < 2) then
		return false
	end
	
	while(MapInfo.mapType > 2) do
		MapInfo = C_Map.GetMapInfo(MapInfo.parentMapID)
	end
	local ContinentA = MapInfo
	
	MapInfo = C_Map.GetMapInfo(MapB)
	if(MapInfo.mapType < 2) then
		return false
	end
	
	while(MapInfo.mapType > 2) do
		MapInfo = C_Map.GetMapInfo(MapInfo.parentMapID)
	end
	local ContinentB = MapInfo
	
	--print(ContinentA.name, ContinentB.name)
	return (ContinentA.mapID == ContinentB.mapID)
end
