if(ThingsToDo2 == nil) then
	ThingsToDo2 = {}
end
local ttd2 = ThingsToDo2

if(ttd2.lib == nil) then
	ttd2.lib = {}
end
local lib = ttd2.lib

lib.tomtom = {}
local this = lib.tomtom

this.private = { set = false }
this.private.TomTomLinkType = "ttdTomTom"

function this.private.validate()
	if(this.private.set == false) then
		this.private.init()
	end

	return
end

function this.private.init()
	if(this.private.set) then
		lib.chat.error("init called more than once: lib.tomtom")
	end
	
	this.private.tomtom = nil
	if((_G.TomTom ~= nil) and (_G.TomTom.AddWaypoint ~= nil)) then
		this.private.tomtom = _G.TomTom
		this.private.oldHyperlinkShow = ChatFrame_OnHyperlinkShow
		ChatFrame_OnHyperlinkShow = this.private.OnHyperlinkShow
	end
	
	this.private.set = true
end

function this.private.OnHyperlinkShow(chatFrame, link, text, button, ...)
	this.private.validate()
	
	local _,_,linkType,MapID, x, y, desc = string.find(link, "(%a-):(%d-):(.-):(.-):(.+)")
	--print("tomtom: ",linkType, mapID)
	if(linkType ~= this.private.TomTomLinkType) then
		return this.private.oldHyperlinkShow(chatFrame,link,text,button)
	end
	
	if(button == "RightButton") then
		return
	end

	MapID = tonumber(MapID)
	x = tonumber(x)
	y = tonumber(y)
	
	--lib.chat.error(mapID.." "..x.." "..y)
	
	if(not lib.map.IsSameContinent(MapID)) then
		print(lib.chat.addonTitle()..": Different continent! Waypoint "..lib.chat.red("NOT").." added!")
		return
	end
		
	local opts = 
	{
		persistent = false,
		title = desc
	}
	this.private.tomtom:AddWaypoint(MapID,x,y,opts)
	return
end

function this.createLink(mapID,x,y,desc,linkText)
	this.private.validate()
	
	if(linkText == nil) then
		linkText = desc
	end
	
	if(this.private.tomtom == nil) then
		return ("["..linkText.."]")
	end
	
	--local opts = { persistent = false, title = desc }
	--this.private.tomtom:AddMFWaypoint(GetCurrentMapAreaID(),nil,x,y)
	local link = (this.private.TomTomLinkType..":"..(mapID)..":"..(x)..":"..(y)..":"..(desc))
	return ("\124H"..link.."\124h[".."TomTom > "..linkText.."]\124h")
end
