if(ThingsToDo2 == nil) then
	ThingsToDo2 = {}
end
local ttd2 = ThingsToDo2

if(ttd2.option == nil) then
	ttd2.option = {}
end
local option = ttd2.option

if(ttd2.lib == nil) then
	ttd2.lib = {}
end
local lib = ttd2.lib

if(ttd2.mod == nil) then
	ttd2.mod = {}
end
local mod = ttd2.mod

--this module
ttd2.ArgusMounts = {}
local this = ttd2.ArgusMounts
this.name = "ArgusMounts"

this.private = { set = false }
function this.private.Validate()
	if(this.private.set == false) then
		this.private.Init()
	end
	return
end

function this.private.Init()
	if(this.private.set) then
		return
	end
	
	this.private.mounts =
	{
		{ ItemID = 152790, JournalID = 955, src = { MapID = 885, x = 0.631, y = 0.253, FlagQuest = 48821, WQuest = 48835, name = "Kerrax" } }, --übles scheusal
		{ ItemID = 152905, JournalID = 979, src = { MapID = 885, x = 0.618, y = 0.373, FlagQuest = 49183, WQuest = 47561, name = "Blasenmaul" } }, --purpurroter geiferschlund
		{ ItemID = 152903, JournalID = 981, src = { MapID = 885, x = 0.532, y = 0.358, FlagQuest = 48810, WQuest = 48465, name = "Vrax'thul" } }, --gallzahnknirscher
		{ ItemID = 152903, JournalID = 981, src = { MapID = 885, x = 0.655, y = 0.267, FlagQuest = 48809, WQuest = 48467, name = "Puscilla" } }, --gallzahnknirscher
		{ ItemID = 152904, JournalID = 980, src = { MapID = 882, x = 0.496, y = 0.100, FlagQuest = 48721, WQuest = 48740, name = "Skreeg" } }, --säurespucker
		{ ItemID = 152814, JournalID = 970, src = { MapID = 882, x = 0.557, y = 0.598, FlagQuest = 48695, WQuest = 48696, name = "Kravos" } } --wahnsinniger chaosläufer
	}
	
	local mounts = this.private.mounts
	for _,mount in pairs(mounts) do
		lib.item.AddByID(mount.ItemID)
		lib.journal.mount.AddByID(mount.JournalID)
		lib.quest.AddByID(mount.src.FlagQuest)
	end
	
	this.private.set = true
end

function this.private.Update()
	this.private.Validate()
	
	local mounts = this.private.mounts
	
	for _,mount in pairs(mounts) do
		lib.item.UpdateByID(mount.ItemID)
		lib.journal.mount.UpdateByID(mount.JournalID)
		lib.quest.UpdateByID(mount.src.FlagQuest)
	end
	
	local out = lib.chat.output
	out.ClearBuffer()
	
	for _,mount in pairs(mounts) do
		if(lib.journal.mount.GetByID(mount.JournalID).isCollected) then
			out.StoreCompleted(lib.item.GetByID(mount.ItemID).link)
		else
			if(lib.quest.GetByID(mount.src.FlagQuest).isCompleted) then
				out.StoreDone(lib.item.GetByID(mount.ItemID).link)
			else
				local msg = lib.item.GetByID(mount.ItemID).link
				msg = msg..lib.tomtom.createLink(mount.src.MapID, mount.src.x, mount.src.y, mount.src.name, lib.map.GetNameByID(mount.src.MapID))
				if(lib.worldquest.IsActive(mount.src.WQuest)) then
					msg = msg..lib.chat.green(" +WQ: ")..lib.worldquest.GetNameByID(mount.src.WQuest)
				end
				out.StoreTodo(msg)
			end
		end
	end
	
	return
end

function this.private.Print()
	this.private.Validate()

	local out = lib.chat.output
	out.PrintModule(this.name)
	
	return
end

this.private.Text = this.name
function this.private.Script()
	this.private.Validate()
	
	this.private.Update()
	this.private.Print()
	
	return
end

mod[#mod+1] =
{
	Text = this.private.Text,
	Script = this.private.Script
}
