if(ThingsToDo2 == nil) then
	ThingsToDo2 = {}
end
local ttd2 = ThingsToDo2

if(ttd2.mod == nil) then
	ttd2.mod = {}
end
local mod = ttd2.mod

local lib = ttd2.lib

--this module
ttd2.BFAMissableQuests = {}
local this = ttd2.BFAMissableQuests
this.name = "BFAMissableQuests"

this.private = { set = false }

function this.private.Validate()
	if(this.private.set == false) then
		this.private.Init()
	end
	return
end

function this.private.Init()
	if(this.private.set) then
		return
	end
	
	this.private.quests = nil
	
	local faction = UnitFactionGroup("player")
	if(faction == "Alliance") then
		this.private.quests =
		{	
			{
				ID = 51543,
				MapID = 896,	--Drustvar
				PosX = 0.33,
				PosY = 0.65
			},
			{
				ID = 50912,
				MapID = 896,
				PosX = 0.35,
				PosY = 0.40
			},
			{
				ID = 53449,
				MapID = 862,	--Zuldazar
				PosX = 0.57,
				PosY = 0.585
			},
			{
				ID = 51069,
				MapID = 862,	--Zuldazar
				PosX = 0.64,
				PosY = 0.10
			},
			{
				ID = 53336,
				MapID = 862,	--Zuldazar
				PosX = 0.51,
				PosY = 0.455
			},
			{
				ID = 53337,
				MapID = 862,	--Zuldazar
				PosX = 0.516,
				PosY = 0.455
			},
			{
				ID = 49284,
				MapID = 862,	--Zuldazar
				PosX = 0.705,
				PosY = 0.650
			}
		}
	else
		this.private.quests = {}
	end
	
	for _,quest in pairs(this.private.quests) do
		lib.quest.AddByID(quest.ID)
	end
	
	this.private.set = true
end

function this.Update()
	this.private.Validate()
	
	local out = lib.chat.output
	out.ClearBuffer()		
	
	for _,quest in pairs(this.private.quests) do
		lib.quest.UpdateByID(quest.ID)
		local Q = lib.quest.GetByID(quest.ID)
		
		if(Q.isCompleted == true) then
			out.StoreCompleted(Q.link)
		else
			local MapName = lib.map.GetNameByID(quest.MapID)
			out.StoreTodo(Q.link..lib.tomtom.createLink(quest.MapID,quest.PosX,quest.PosY,Q.name,MapName))
		end
	end
	
	return
end

function this.Print()
	this.private.Validate()
	
	local out = lib.chat.output
	out.PrintModule(this.name)
	
	return
end

this.private.Text = this.name
function this.private.Script()
	this.private.Validate()
	
	this.Update()
	this.Print()
	
	return
end

mod[#mod+1] =
{
	Text = this.private.Text,
	Script = this.private.Script
}
